Skip to main content
POST
/
api
/
v3
/
integrator
/
settlements
cURL
curl --request POST \
  --url https://sandbox-api.kotanipay.com/api/v3/integrator/settlements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "walletId": "<string>",
  "amount": 123,
  "balanceSource": "PAYOUT",
  "integratorNote": "<string>",
  "callbackUrl": "<string>",
  "beneficiaryDetails": {
    "beneficiaryType": "bank",
    "name": "<string>",
    "walletAddress": "<string>",
    "chain": "<string>",
    "token": "<string>",
    "network": "<string>",
    "bankName": "<string>",
    "bankCode": "<string>",
    "accountNumber": "<string>",
    "accountName": "<string>",
    "accountType": "<string>"
  },
  "savedBeneficiaryId": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://developers.kotanipay.com/llms.txt

Use this file to discover all available pages before exploring further.

Submit a settlement request for processing.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
walletId
string
required
amount
number
required
balanceSource
enum<string>
Available options:
PAYOUT,
DEPOSIT,
ADMIN_SELECT
integratorNote
string
callbackUrl
string
beneficiaryDetails
object
savedBeneficiaryId
string

ID of a saved beneficiary on the integrator config — used when beneficiaryDetails is not explicitly provided

Response

201 - undefined